#start
effect clear @a minecraft:blindness 
effect give @a minecraft:saturation 1 127 true
tag @a remove loadmap
scoreboard players set loadtime game 0

gamemode adventure @a
difficulty easy
function cmdata:command/clear

execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:ender_chest",tag:{randomgive:1b}}]}] run tag @s add randomgive
execute as @a if entity @s[tag=randomgive] at @s run function cmdata:command/rgive

#scorereset
execute if score invisible game matches 1 run team modify blue seeFriendlyInvisibles true
execute if score invisible game matches 0 run team modify blue seeFriendlyInvisibles false
execute if score nametag game matches 1 run team modify blue nametagVisibility hideForOtherTeams
execute if score nametag game matches 0 run team modify blue nametagVisibility never

tag @a remove ok
tag @a remove item14
tag @a remove c1
scoreboard players set @a oni-count 0
scoreboard players set set game 1
scoreboard players set @a sprintstoptime 100
scoreboard players set @s sprintstop 1
scoreboard players reset @a item71 
scoreboard players reset @a item72 
scoreboard players reset @a item18 
scoreboard players reset @a item24
scoreboard players reset @a item61
scoreboard players set @a cool 0

#oniset
execute unless entity @a[nbt={Inventory:[{tag:{item88:1b}}]}] if score oni game matches 1.. run team join red @a[team=!red,sort=random,limit=1]
execute if entity @a[nbt={Inventory:[{tag:{item88:1b}}]}] if score oni game matches 1.. run team join red @a[team=!red,sort=random,limit=1,nbt={Inventory:[{tag:{item88:1b}}]}]
execute if score oni game matches 2.. run team join red @a[team=!red,sort=random,limit=1]
execute if score oni game matches 3.. run team join red @a[team=!red,sort=random,limit=1]
scoreboard players set @a[team=red] oni 0
execute as @a unless entity @s[team=red] run team join blue @s
scoreboard players set @a[team=red] cool 200
execute as @a[team=red] run tellraw @a ["",{"text":"\u6700\u521d\u306e\u9b3c\u306f","color":"yellow"},{"selector":"@s","color":"yellow"},{"text":"\u3067\u3059","color":"yellow"}]
scoreboard players add @a[team=red] oni-count 1
replaceitem entity @a[team=red] armor.head minecraft:leather_helmet{display:{Name:"{\"text\":\" \"}",color:16711680},HideFlags:7,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1

#time
function cmdata:random/random
scoreboard players operation count random %= #180 random
scoreboard players add count random 120
scoreboard players operation count random *= #20 random
scoreboard players operation time game = count random

#timeaddcount
function cmdata:random/random
scoreboard players operation count random %= #7 random
scoreboard players add count random 3
scoreboard players operation TimeAddCount game = count random

#map
execute if score score game matches 1 run tp @a 219 7 10
execute if score score game matches 2 run tp @a 129 6 252
execute if score score game matches 3 run tp @a 791 6 27
execute if score score game matches 4 run tp @a -109 12 72
execute if score score game matches 5 run tp @a -170 38 -215
execute if score score game matches 6 run tp @a 479 18 4
execute if score score game matches 7 run tp @a 473 16 -300
execute if score score game matches 8 run tp @a 694 10 -188
execute if score score game matches 9 run tp @a 26 13 306
execute if score score game matches 10 run tp @a 570 9 14
execute if score score game matches 11 run tp @a 447 15 212
execute if score score game matches 12 run tp @a 739 8 153

#day
scoreboard players operation score game = day game
execute if score score game matches 0 run function cmdata:random/random
execute if score score game matches 0 run scoreboard players operation count random %= #3 random
execute if score score game matches 0 run scoreboard players add count random 1
execute if score score game matches 0 run scoreboard players operation score game = count random

execute if score score game matches 1 run time set 6000
execute if score score game matches 2 run time set 12300
execute if score score game matches 3 run time set 18000

#title
title @a title {"text":"- \u30b2\u30fc\u30e0\u30b9\u30bf\u30fc\u30c8 -","color":"green","bold":"true"}
execute as @a at @s run playsound entity.firework_rocket.twinkle_far master @s ~ ~ ~ 3 0

#item-------------------------------------------------------------------------------------------------------------------------

#iatu
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item35:1b}}]}] run scoreboard players add @a sprintstoptime 60
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item35:1b}}]}] run tellraw @a {"text":"\u30d1\u30c3\u30b7\u30d6:\u5a01\u5727","color":"green"}
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item35:1b}}]}] as @a at @s run playsound entity.ender_dragon.growl master @s ~ ~ ~ 3 1

#heionn
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item5:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6:\u5e73\u7a4f","color":"green"}
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item5:1b}}]}] run replaceitem entity @s armor.head air 1

#kariudo
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item26:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6:\u72e9\u4eba\u306e\u5f13","color":"green"}
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item26:1b}}]}] run replaceitem entity @s weapon.offhand minecraft:tipped_arrow{display:{Name:"{\"text\":\"狩人の矢\",\"color\":\"yellow\",\"bold\":true,\"italic\":false}"},CustomPotionEffects:[{Id:29b,Amplifier:0b,Duration:160},{Id:15b,Amplifier:0b,Duration:160},{Id:27b,Amplifier:0b,Duration:160}],CustomPotionColor:815130,clear:1b} 3

#ohana
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item46:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6:\u304a\u82b1","color":"green"}
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item46:1b}}]}] run replaceitem entity @a armor.head minecraft:poppy{display:{Name:"{\"text\":\"お花\",\"color\":\"dark_red\",\"bold\":true,\"italic\":false}",Lore:["§c頭に刺さって抜けない"]},HideFlags:1,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1

#gokai
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item57:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6:\u8aa4\u89e3","color":"green"}
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item57:1b}}]}] run replaceitem entity @a[sort=random,limit=1,team=blue] armor.head minecraft:leather_helmet{display:{Name:"{\"text\":\" \"}",color:16711680},HideFlags:7,Unbreakable:1b,Enchantments:[{id:"minecraft:binding_curse",lvl:1}]} 1

#to-temu
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item30:1b}}]}] run tellraw @a ["",{"selector":"@s","color":"red"},{"text":"\uff1a\u30c8\u30fc\u30c6\u30e0\u304c\u7815\u3051\u6563\u3063\u305f","color":"red"}]
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item30:1b}}]}] as @a at @s run playsound item.totem.use master @s ~ ~ ~ 3 1
execute as @a[team=red] if entity @s[team=red,nbt={Inventory:[{tag:{item30:1b}}]}] at @s run clear @s minecraft:totem_of_undying 1

#sinkokyuu
execute as @a if entity @s[team=blue,nbt={Inventory:[{tag:{item43:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6:\u6df1\u547c\u5438","color":"green"}
execute as @a if entity @s[team=blue,nbt={Inventory:[{tag:{item43:1b}}]}] run scoreboard players remove @a sprintstoptime 60

#syuuchaku
execute as @a[nbt={Inventory:[{tag:{item75:1b}}]}] at @s as @a[limit=1,sort=random,nbt=!{Inventory:[{tag:{item75:1b}}]}] run scoreboard players operation @a[nbt={Inventory:[{tag:{item75:1b}}]},limit=1,sort=nearest] item75 = @s id
execute as @a[nbt={Inventory:[{tag:{item75:1b}}]}] at @s as @a if score @s id = @a[nbt={Inventory:[{tag:{item75:1b}}]},limit=1,sort=nearest] item75 run tellraw @a[nbt={Inventory:[{tag:{item75:1b}}]},limit=1,sort=nearest] ["",{"selector":"@s","color":"red"},{"text":"\u306b\u57f7\u7740\u3057\u305f","color":"red"}]

#pafe
execute as @a[team=red,nbt={Inventory:[{tag:{item105:1b}}]}] as @a at @s run playsound block.fire.extinguish master @s ~ ~ ~ 3 0
execute as @a[team=red,nbt={Inventory:[{tag:{item105:1b}}]}] run tellraw @a ["",{"selector":"@s","color":"red"},{"text":"\uff1a\u30d1\u30fc\u30d5\u30a7\u30af\u30c8\u30b2\u30fc\u30e0\u304c\u6d88\u6ec5\u3057\u305f","color":"red"}]
execute as @a[team=red,nbt={Inventory:[{tag:{item105:1b}}]}] run clear @s minecraft:heart_of_the_sea


#warudakumi
execute as @a if entity @s[nbt={Inventory:[{tag:{item88:1b}}]}] run tellraw @s {"text":"\u30d1\u30c3\u30b7\u30d6\uff1a\u60aa\u5de7\u307f","color":"green"}
